<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="de">
	<id>https://www.helmstedt-wiki.de/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3AGadget-dewikiDarkmode.css</id>
	<title>MediaWiki:Gadget-dewikiDarkmode.css - Versionsgeschichte</title>
	<link rel="self" type="application/atom+xml" href="https://www.helmstedt-wiki.de/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3AGadget-dewikiDarkmode.css"/>
	<link rel="alternate" type="text/html" href="https://www.helmstedt-wiki.de/index.php?title=MediaWiki:Gadget-dewikiDarkmode.css&amp;action=history"/>
	<updated>2026-04-21T07:46:52Z</updated>
	<subtitle>Versionsgeschichte dieser Seite in Helmstedt-Wiki</subtitle>
	<generator>MediaWiki 1.43.0</generator>
	<entry>
		<id>https://www.helmstedt-wiki.de/index.php?title=MediaWiki:Gadget-dewikiDarkmode.css&amp;diff=29297&amp;oldid=prev</id>
		<title>Admin: AZ: Die Seite wurde neu angelegt: /*   * (1)   * VOM BENUTZER EXPLIZIT GESETZTER DARKMODE  * Klasse skin-theme-clientpref-night im HTML-Tag gesetzt  * Immer auch die korrespondierende Regel in (2) anpassen!  */ @media screen { 	 	/*  	 * == (1.1) ÜBERSCHREIBUNGEN FÜR DEN GESAMTEN INHALTSBEREICH == 	 * Lokale Adaption des Darkmode-Hack-Stylesheets aus WikimediaMessages: 	 * https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/e…</title>
		<link rel="alternate" type="text/html" href="https://www.helmstedt-wiki.de/index.php?title=MediaWiki:Gadget-dewikiDarkmode.css&amp;diff=29297&amp;oldid=prev"/>
		<updated>2025-01-28T07:27:02Z</updated>

		<summary type="html">&lt;p&gt;&lt;a href=&quot;/index.php?title=Hilfe:Zusammenfassung_und_Quellen&amp;amp;action=edit&amp;amp;redlink=1&quot; class=&quot;new&quot; title=&quot;Hilfe:Zusammenfassung und Quellen (Seite nicht vorhanden)&quot;&gt;AZ&lt;/a&gt;: Die Seite wurde neu angelegt: &lt;span class=&quot;autocomment&quot;&gt;* (1)   * VOM BENUTZER EXPLIZIT GESETZTER DARKMODE  * Klasse skin-theme-clientpref-night im HTML-Tag gesetzt  * Immer auch die korrespondierende Regel in (2) anpassen!: &lt;/span&gt; @media screen { 	 	/*  	 * == (1.1) ÜBERSCHREIBUNGEN FÜR DEN GESAMTEN INHALTSBEREICH == 	 * Lokale Adaption des Darkmode-Hack-Stylesheets aus WikimediaMessages: 	 * https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/e…&lt;/p&gt;
&lt;p&gt;&lt;b&gt;Neue Seite&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* &lt;br /&gt;
 * (1) &lt;br /&gt;
 * VOM BENUTZER EXPLIZIT GESETZTER DARKMODE&lt;br /&gt;
 * Klasse skin-theme-clientpref-night im HTML-Tag gesetzt&lt;br /&gt;
 * Immer auch die korrespondierende Regel in (2) anpassen!&lt;br /&gt;
 */&lt;br /&gt;
@media screen {&lt;br /&gt;
	&lt;br /&gt;
	/* &lt;br /&gt;
	 * == (1.1) ÜBERSCHREIBUNGEN FÜR DEN GESAMTEN INHALTSBEREICH ==&lt;br /&gt;
	 * Lokale Adaption des Darkmode-Hack-Stylesheets aus WikimediaMessages:&lt;br /&gt;
	 * https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/WikimediaMessages/+/refs/heads/master/modules/ext.wikimediamessages.styles/theme-night.less&lt;br /&gt;
	 * begrenzt und ergänzt auf/um auf die deutschsprachige Wikipedia zutreffende Fälle&lt;br /&gt;
	 */&lt;br /&gt;
	 &lt;br /&gt;
	/* &lt;br /&gt;
	 * (1.1.1)&lt;br /&gt;
	 * Elementen mit Inline-Angabe von Hintergrundfarbe automatisch die dunkle&lt;br /&gt;
	 * Textfarbe des hellen Modus zuweisen, vgl. [[phab:T358385]] und [[phab:T358797]],&lt;br /&gt;
	 * aber nicht, wenn Hintergrundfarben per lokaler Klasse gesetzt werden, da diese&lt;br /&gt;
	 * selbst auf den Darkmode reagieren. Nicht !important, damit Inline-Farbangaben&lt;br /&gt;
	 * erhalten bleiben.&lt;br /&gt;
	 * Sonderfall table caption: Eine für die Tabelle vergebene Hintergrundfarbe wird nicht&lt;br /&gt;
	 * auf die Überschrift angewendet, die Textfarbe aber schon, weshalb die Korrektur&lt;br /&gt;
	 * der Textfarbe für Hintergrundfarben in diesem Fall rückgängig gemacht werden muss.&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-night .mw-parser-output :is([bgcolor], [style*=&amp;quot;background&amp;quot;]):not([class*=&amp;quot;hintergrundfarbe&amp;quot;]) {&lt;br /&gt;
		color: #202122;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-night .mw-parser-output table:is([bgcolor], [style*=&amp;quot;background&amp;quot;], [class*=&amp;quot;hintergrundfarbe&amp;quot;]) caption:not(:is([bgcolor], [style*=&amp;quot;background&amp;quot;], [class*=&amp;quot;hintergrundfarbe&amp;quot;])) {&lt;br /&gt;
		color: var(--color-base);&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	/* &lt;br /&gt;
	 * (1.1.2)&lt;br /&gt;
	 * Text- und Hintergrundfarbe von Infoboxen korrigieren:&lt;br /&gt;
	 * zuerst globale Farben für das Infobox-Element setzen, danach&lt;br /&gt;
	 * die Farben auf die Kindelemente vererben, wenn nicht deaktiviert.&lt;br /&gt;
	 * Tabellenkopfzellen erhalten eine leicht abgesetzte Farbgebung.&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-night .infobox:not(.notheme) {&lt;br /&gt;
		background-color: var(--background-color-interactive-subtle) !important;&lt;br /&gt;
		border-color: var(--border-color-subtle) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-night .infobox:not(.notheme) :is(td, p, caption):not(.notheme),&lt;br /&gt;
	html.skin-theme-clientpref-night .infobox:not(.notheme) &amp;gt; div:not(.notheme) {&lt;br /&gt;
		background-color: inherit !important;&lt;br /&gt;
		color: inherit !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-night .infobox:not(.notheme) th:not(.notheme) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe5) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
&lt;br /&gt;
	/* &lt;br /&gt;
	 * == (1.2) ERGÄNZUNGEN FÜR VORHANDENE KLASSEN ==&lt;br /&gt;
	 * Darkmode-spezifische Ergänzungen für bereits in der deutschsprachigen Wikipedia verfügbare CSS-Klassen&lt;br /&gt;
	 */&lt;br /&gt;
	 &lt;br /&gt;
	/*&lt;br /&gt;
	 * (1.2.1)&lt;br /&gt;
	 * Ergänzung für Zebra-Tabellen: Farben auch für Zeilen mit ungeradem Index färben, spezifische Farbzuweisungen&lt;br /&gt;
	 * für einzelne Zeilen sowie per Standard-Hintergrundfarbe eingefärbte Zellen bleiben erhalten.&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-night table.wikitable.zebra:not(.notheme) &amp;gt; tbody &amp;gt; :nth-child(odd):not([style*=&amp;quot;background&amp;quot;], [class*=&amp;quot;hintergrundfarbe&amp;quot;]) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe1);&lt;br /&gt;
		color: var(--color-base);&lt;br /&gt;
	}&lt;br /&gt;
&lt;br /&gt;
	/* &lt;br /&gt;
	 * == (1.3) NUR IM DARKMODE VERFÜGBARE KLASSEN ==&lt;br /&gt;
	 * Definition von nur im Darkmode verfügbaren und anzuwendenden CSS-Klassen&lt;br /&gt;
	 */&lt;br /&gt;
&lt;br /&gt;
	/*&lt;br /&gt;
	 * (1.3.1)&lt;br /&gt;
	 * Hintergrundfarbe nur im Darkmode mit den Farben der Standardklassen überschreiben.&lt;br /&gt;
	 * Nur sinnvoll für Klassen, die auf den Darkmode reagieren; dann auch Textfarbe setzen.&lt;br /&gt;
	 * Wenn innerhalb von .notheme, nichts anpassen (Darkmode deaktiviert).&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-night .darkmode-hintergrundfarbe-basis:not(.notheme .darkmode-hintergrundfarbe-basis) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe-basis) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-night .darkmode-hintergrundfarbe-passiv:not(.notheme .darkmode-hintergrundfarbe-passiv) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe1) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-night .darkmode-hintergrundfarbe-neutral:not(.notheme .darkmode-hintergrundfarbe-neutral) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe5) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	/*&lt;br /&gt;
	 * (1.3.2)&lt;br /&gt;
	 * Elemente im Darkmode ein-/ausblenden.&lt;br /&gt;
	 * Insbesondere gedacht für Grafiken, die per skin-invert-image nicht sinnvoll&lt;br /&gt;
	 * invertierbar sind, aber über eine für den Darkmode geeignete Alternativversion verfügen.&lt;br /&gt;
	 * Inhalte sollten damit nicht verborgen werden.&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-night .darkmode-hide {&lt;br /&gt;
		display: none !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-night .darkmode-only {&lt;br /&gt;
		display: revert !important;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/*&lt;br /&gt;
 * (2)&lt;br /&gt;
 * VOM BROWSER/OS ANGEFORDERTER DARKMODE&lt;br /&gt;
 * Klasse skin-theme-clientpref-os im HTML-Tag gesetzt&lt;br /&gt;
 * Die Definitionen aus (1) wiederholen sich hier.&lt;br /&gt;
 */&lt;br /&gt;
@media screen and (prefers-color-scheme: dark) {&lt;br /&gt;
&lt;br /&gt;
	/* &lt;br /&gt;
	 * == (2.1) ÜBERSCHREIBUNGEN FÜR DEN GESAMTEN INHALTSBEREICH ==&lt;br /&gt;
	 */&lt;br /&gt;
	 &lt;br /&gt;
	/* &lt;br /&gt;
	 * (2.1.1)&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-os .mw-parser-output :is([bgcolor], [style*=&amp;quot;background&amp;quot;]):not([class*=&amp;quot;hintergrundfarbe&amp;quot;]) {&lt;br /&gt;
		color: #202122;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-os .mw-parser-output table:is([bgcolor], [style*=&amp;quot;background&amp;quot;], [class*=&amp;quot;hintergrundfarbe&amp;quot;]) caption:not(:is([bgcolor], [style*=&amp;quot;background&amp;quot;], [class*=&amp;quot;hintergrundfarbe&amp;quot;])) {&lt;br /&gt;
		color: var(--color-base);&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	/* &lt;br /&gt;
	 * (2.1.2)&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-os .infobox:not(.notheme) {&lt;br /&gt;
		background-color: var(--background-color-interactive-subtle) !important;&lt;br /&gt;
		border-color: var(--border-color-subtle) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-os .infobox:not(.notheme) :is(td, p, caption):not(.notheme),&lt;br /&gt;
	html.skin-theme-clientpref-os .infobox:not(.notheme) &amp;gt; div:not(.notheme) {&lt;br /&gt;
		background-color: inherit !important;&lt;br /&gt;
		color: inherit !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-os .infobox:not(.notheme) th:not(.notheme) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe5) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	/* &lt;br /&gt;
	 * == (2.2) ERGÄNZUNGEN FÜR VORHANDENE KLASSEN ==&lt;br /&gt;
	 */&lt;br /&gt;
	 &lt;br /&gt;
	/*&lt;br /&gt;
	 * (2.2.1)&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-os table.wikitable.zebra:not(.notheme) &amp;gt; tbody &amp;gt; :nth-child(odd):not([style*=&amp;quot;background&amp;quot;], [class*=&amp;quot;hintergrundfarbe&amp;quot;]) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe1);&lt;br /&gt;
		color: var(--color-base);&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	/* &lt;br /&gt;
	 * == (2.3) NUR IM DARKMODE VERFÜGBARE KLASSEN ==&lt;br /&gt;
	 */	&lt;br /&gt;
	&lt;br /&gt;
	/*&lt;br /&gt;
	 * (2.3.1)&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-os .darkmode-hintergrundfarbe-basis:not(.notheme .darkmode-hintergrundfarbe-basis) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe-basis) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-os .darkmode-hintergrundfarbe-passiv:not(.notheme .darkmode-hintergrundfarbe-passiv) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe1) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-os .darkmode-hintergrundfarbe-neutral:not(.notheme .darkmode-hintergrundfarbe-neutral) {&lt;br /&gt;
		background-color: var(--dewiki-hintergrundfarbe5) !important;&lt;br /&gt;
		color: var(--color-base) !important;&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	/*&lt;br /&gt;
	 * (2.3.2)&lt;br /&gt;
	 */&lt;br /&gt;
	html.skin-theme-clientpref-os .darkmode-hide {&lt;br /&gt;
		display: none !important;&lt;br /&gt;
	}&lt;br /&gt;
	html.skin-theme-clientpref-os .darkmode-only {&lt;br /&gt;
		display: revert !important;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>Admin</name></author>
	</entry>
</feed>